Package org.wso2.carbon.rest.api

## Class APIServiceComponent

- java.lang.Object
- - org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver
  - - org.wso2.carbon.rest.api.APIServiceComponent

- All Implemented Interfaces:
    `org.wso2.carbon.utils.Axis2ConfigurationContextObserver`

      public class APIServiceComponent
      extends org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `APIServiceComponent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `activate​(org.osgi.service.component.ComponentContext ctxt)` |
    `void` | `createdConfigurationContext​(org.apache.axis2.context.ConfigurationContext configContext)` |
    `protected void` | `deactivate​(org.osgi.service.component.ComponentContext context)` |
    `protected void` | `setConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService cfgCtxService)` |
    `protected void` | `setDependencyManager​(org.wso2.carbon.mediation.dependency.mgt.services.DependencyManagementService dependencyMgr)` |
    `protected void` | `setRegistryService​(org.wso2.carbon.registry.core.service.RegistryService regService)` |
    `protected void` | `setSynapseConfigurationService​(org.wso2.carbon.mediation.initializer.services.SynapseConfigurationService synapseConfigurationService)` |
    `protected void` | `setSynapseEnvironmentService​(org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)` | Here we receive an event about the creation of a SynapseEnvironment.
    `protected void` | `setSynapseRegistrationsService​(org.wso2.carbon.mediation.initializer.services.SynapseRegistrationsService synapseRegistrationsService)` |
    `protected void` | `unsetConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService cfgCtxService)` |
    `protected void` | `unsetDependencyManager​(org.wso2.carbon.mediation.dependency.mgt.services.DependencyManagementService dependencyMgr)` |
    `protected void` | `unsetRegistryService​(org.wso2.carbon.registry.core.service.RegistryService regService)` |
    `protected void` | `unsetSynapseConfigurationService​(org.wso2.carbon.mediation.initializer.services.SynapseConfigurationService synapseConfigurationService)` |
    `protected void` | `unsetSynapseEnvironmentService​(org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)` | Here we receive an event about Destroying a SynapseEnvironment.
    `protected void` | `unsetSynapseRegistrationsService​(org.wso2.carbon.mediation.initializer.services.SynapseRegistrationsService synapseRegistrationsService)` |

    - ### Methods inherited from class org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver

      `creatingConfigurationContext, terminatedConfigurationContext, terminatingConfigurationContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### APIServiceComponent

          public APIServiceComponent()

  - ### Method Detail

    - #### activate

          protected void activate​(org.osgi.service.component.ComponentContext ctxt)

    - #### deactivate

          protected void deactivate​(org.osgi.service.component.ComponentContext context)

    - #### setConfigurationContextService

          protected void setConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService cfgCtxService)

    - #### unsetConfigurationContextService

          protected void unsetConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService cfgCtxService)

    - #### setSynapseConfigurationService

          protected void setSynapseConfigurationService​(org.wso2.carbon.mediation.initializer.services.SynapseConfigurationService synapseConfigurationService)

    - #### unsetSynapseConfigurationService

          protected void unsetSynapseConfigurationService​(org.wso2.carbon.mediation.initializer.services.SynapseConfigurationService synapseConfigurationService)

    - #### setSynapseEnvironmentService

          protected void setSynapseEnvironmentService​(org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)

      Here we receive an event about the creation of a SynapseEnvironment. If this is SuperTenant we have to wait until all the other constraints are met and actual initialization is done in the activate method. Otherwise we have to do the activation here.
      Parameters:
        `synapseEnvironmentService` - SynapseEnvironmentService which contains information about the new Synapse Instance

    - #### unsetSynapseEnvironmentService

          protected void unsetSynapseEnvironmentService​(org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)

      Here we receive an event about Destroying a SynapseEnvironment. This can be the super tenant destruction or a tenant destruction.
      Parameters:
        `synapseEnvironmentService` - synapseEnvironment

    - #### setRegistryService

          protected void setRegistryService​(org.wso2.carbon.registry.core.service.RegistryService regService)

    - #### unsetRegistryService

          protected void unsetRegistryService​(org.wso2.carbon.registry.core.service.RegistryService regService)

    - #### setDependencyManager

          protected void setDependencyManager​(org.wso2.carbon.mediation.dependency.mgt.services.DependencyManagementService dependencyMgr)

    - #### unsetDependencyManager

          protected void unsetDependencyManager​(org.wso2.carbon.mediation.dependency.mgt.services.DependencyManagementService dependencyMgr)

    - #### setSynapseRegistrationsService

          protected void setSynapseRegistrationsService​(org.wso2.carbon.mediation.initializer.services.SynapseRegistrationsService synapseRegistrationsService)

    - #### createdConfigurationContext

          public void createdConfigurationContext​(org.apache.axis2.context.ConfigurationContext configContext)

      Specified by:
        `createdConfigurationContext` in interface `org.wso2.carbon.utils.Axis2ConfigurationContextObserver`
      Overrides:
        `createdConfigurationContext` in class `org.wso2.carbon.utils.AbstractAxis2ConfigurationContextObserver`

    - #### unsetSynapseRegistrationsService

          protected void unsetSynapseRegistrationsService​(org.wso2.carbon.mediation.initializer.services.SynapseRegistrationsService synapseRegistrationsService)